use std::collections::HashMap;
use domo_proto::identifier::Identifier;
use self::property::Property;

pub mod property;

pub struct Node {
    /// Who owns this node?
    pub parent: Option<Identifier>,
    /// Identifier of node
    pub identifier: Identifier,
    /// Child nodes
    pub children: HashMap<Identifier, Node>,
    /// All properties of the node.
    pub properties: HashMap<String, Property>
}